<?php

function imgpGetImageSrc($html){
	
	$src = preg_match('/src=".*?" /',$html,$matches);
	
	$src = $matches[0];
	return $src;

}

function imgpGetAttribution($html){

	$attribution = preg_match_all('/\<a.*?\<\/a\>/',$html,$matches);
	//echo "matches = ".$matches[0];
	return $matches[0];
}

function imgpGetWidth($html){

	$src = preg_match('/width.*?px/',$html,$matches);
	$src = $matches[0];
	return $src;

}

function imgpGetAlign($html){

	$align = preg_match('/foter-photo align.*?"/',$html,$matches);
	$align = $matches[0];
	$align = substr($align, 17, -1);
	return $align;	
}


function imgpCreateImage($src, $attr,$width, $align){
	$postid = 8999999998;
	
	$showattribution = get_post_meta($postid, 'showattribution',TRUE);	
	$floatimage = get_post_meta($postid, 'floatimage',TRUE);		
	
	$img = "<img ".$src." />";
	if ($showattribution !="no"){
		$attribution ="";
		foreach ($attr as $value){
			$attribution.=$value." ";
		}
	}
	else{
		$attribution ="";
	}
	if ($floatimage == "yes"){
		$div = '<div class ="imgpdivfloat" style ="'.$width.';">'.$img.$attribution.'</div>';
		return $div;
	}
	if ($align == "center"){
		$div = '<center><div class ="imgpdiv'.$align.'" style ="'.$width.';">'.$img.$attribution.'</div></center>';
	}
	else if ($align == "right"){
		$div = '<div class ="imgpdivcontainer"><div class ="imgpdiv'.$align.'" style ="'.$width.';">'.$img.$attribution.'</div></div>';
	}
	else{
		$div = '<div class ="imgpdiv'.$align.'" style ="'.$width.';">'.$img.$attribution.'</div>';
	}
	
	return $div;

}



?>